lkml.org 
[lkml]   [2016]   [Jan]   [11]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
SubjectRE: [PATCH v2 4/4] mtd: spi-nor: fsl-quadspi: extend support for some special requerment.
Date
On Tue, Jan 05, 2016 at 05:02:34AM +0800, Han Xu wrote:
> On Thu, Dec 24, 2015 at 07:00:21PM +0800, Yuan Yao wrote:
> > Add extra info in LUT table to support some special requerments.
> > Spansion S25FS-S family flash need some special operations.
>
> What's the special requirement, detail it.

Ok, we will detail it in next version.

>
> >
> > Signed-off-by: Yuan Yao <yao.yuan@nxp.com>
> > ---
> > Changed in v2:
> > Update my email to <yao.yuan@nxp.com>
> > ---
> > drivers/mtd/spi-nor/fsl-quadspi.c | 41
> +++++++++++++++++++++++++++++++++++++--
> > include/linux/mtd/spi-nor.h | 4 ++++
> > 2 files changed, 43 insertions(+), 2 deletions(-)
> >
> > diff --git a/drivers/mtd/spi-nor/fsl-quadspi.c
> > b/drivers/mtd/spi-nor/fsl-quadspi.c
> > index 9ab2b51..081ae85 100644
> > --- a/drivers/mtd/spi-nor/fsl-quadspi.c
> > +++ b/drivers/mtd/spi-nor/fsl-quadspi.c
> > @@ -205,6 +205,8 @@
> > @@ -848,9 +881,13 @@ static int fsl_qspi_write_reg(struct spi_nor
> > *nor, u8 opcode, u8 *buf, int len) {
> > struct fsl_qspi *q = nor->priv;
> > int ret;
> > + u32 to = 0;
> > +
> > + if (opcode == SPINOR_OP_SPANSION_RDAR)
> > + memcpy(&to, nor->cmd_buf, 4);
>
> RADR or WRAR? This is hacking code, why need these two commands?

Sorry, it's should be WRAR.
The command RADR is necessary for Spansion S25FS-S family flash. But the WRAR we didn't use this command now. But it seems we should use it in the future. So we add this command.

Hi Xu Han, David Woodhouse, Brian Norris

By the way, there are some patches depend on this patch for QSPI Spansion S25FS-S family flash support on ARMv8 platform.
in order to the completeness of the patch sets. I want to just send the patch set for QSPI LS1021A and LS1043A SOC support.
Include: mtd-spi-nor-fsl-quadspi-add-big-endian-support.patch mtd-spi-nor-fsl-quadspi-add-support-for-ls1021a.patch
Those patches add the QSPI support on LS1021A and LS1043A SOC.

And another patch set will send to support Spansion S25FS-S family flash.
Include: mtd-spi-nor-fsl-quadspi-add-support-for-layerscape.patch mtd-spi-nor-fsl-quadspi-extend-support-for-some-spec.patch
And some other patches.
Those patches will add the QSPI Spansion S25FS-S family flash support. This is used for NXP LS2080A SOC.

Is that OK?

Thanks.
Best Regards,
Yuan Yao

\
 
 \ /
  Last update: 2016-01-12 05:41    [W:0.054 / U:2.640 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site